## djvulibre 3.5.24

=== debian/changelog ===
djvulibre (3.5.24-9ubuntu0.1) precise-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    crafted DjVu file
    - debian/patches/CVE-2012-6535.patch: improve logic in
      libdjvu/GString.cpp.
    - CVE-2012-6535

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 09 Dec 2013 09:31:59 -0500

djvulibre (3.5.24-9) unstable; urgency=low

  * single debian patch source option (closes: #643094)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Sep 2011 16:57:18 +0100

djvulibre (3.5.24-8) unstable; urgency=low

  * ddjvu_anno_get_xmp consistent prototype vs implementation (closes: #613547)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 22 Jun 2011 11:48:22 +0100

djvulibre (3.5.24-7) unstable; urgency=low

  * upstream fix to page extraction bug (closes: #629941)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 09 Jun 2011 23:06:30 +0100

djvulibre (3.5.24-6) unstable; urgency=low

  * upstream GCC 4.6 fixes
  * upstream MMX fix addresses 32-bit MMX issue (closes: #629235)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 05 Jun 2011 08:08:01 +0100

djvulibre (3.5.24-5) unstable; urgency=low

  * fix kbsd pthreads linkage more gently

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 02 Jun 2011 12:32:53 +0100

djvulibre (3.5.24-4) unstable; urgency=low

  * merge upstream kbsd pthreads linkage mod (closes: #628800)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 01 Jun 2011 15:21:23 +0100

djvulibre (3.5.24-3) unstable; urgency=low

  * merge upstream change with promiscuous inclusions (closes: #625073)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 05 May 2011 08:04:13 +0100

djvulibre (3.5.24-2) unstable; urgency=low

  * do not include .la files per new policy (closes: #621306)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 20 Apr 2011 15:34:38 +0100

djvulibre (3.5.24-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 07 Mar 2011 10:17:06 +0000

djvulibre (3.5.23-6) unstable; urgency=low

  * tiny patch to libdjvu/miniexp.cpp from  Jacob Wilk (closes: #613549)
  
 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 02 Mar 2011 08:47:43 +0000

djvulibre (3.5.23-5) unstable; urgency=low

  * changes to debian/rules
    - honor DEB_BUILD_OPTIONS=noopt (closes: #613521) and debug
    - remove unused/inappropriate/old variables
    - let upstream ./configure choose optimisation flags; remove all special
      cases for particular broken versions of GCC on particular architectures
    - use dh_auto_make instead of invoking $(MAKE) directly
    - no need for "chmod +x ..." since git maintains that bit
    - remove "INSTALL_PROGRAM = $(INSTALL) --strip", as dh handles it
  * djvulibre-bin depends: same version of libdjvulibre21 (closes: #613530)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 16 Feb 2011 13:37:56 +0000

djvulibre (3.5.23-4) unstable; urgency=low

  * bump to debhelper 8
  * flush djview3, generate djview4 transition package (closes: #604347)
  * flush djvulibre-plugin, to be generated by djview4
  * dh --parallel
  * include phrase "dummy" in package descriptions to silence lintian
  * dpkg source format 3.0 (quilt)
  * upstream has switched to git (debian/README.Debian, debian/copyright)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 12 Feb 2011 13:26:14 +0000

djvulibre (3.5.23-3) unstable; urgency=low

  * revert switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 12 Sep 2010 00:29:16 +0100

djvulibre (3.5.23-2) unstable; urgency=low

  * make any2djvu script not fail to notice assent (closes: #515310)
  * upstream changes fix many bugs
    - djvumake no longer fails with these tiny images (closes: #539272)
    - locale set internally as appropriate, e.g., PDF output (closes: #562156)
      also fixes https://bugs.launchpad.net/ubuntu/+source/djvulibre/+bug/499324
    - thread-related crash addressed, slightly post 3.5.23 (closes: #582961)
  
 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 07 Sep 2010 17:47:42 +0100

djvulibre (3.5.23-1) unstable; urgency=low

  * new upstream release
  * bump policy (debian/control)
  * Ubuntu patch from Benjamin Drung (closes: #592964)
    - use autotools-dev to update config.* files to unclutter debdiffs
    - change recommendation from mozilla-firefox to firefox
  * modernise debian/rules with dh7 overrides, also thanks to Benjamin Drung
  * switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 17 Aug 2010 13:35:37 +0200

djvulibre (3.5.22-9) unstable; urgency=low

  * fix typo in debian/copyright
  * include upstream changes including nsdejavu XtShellStrings fix

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 15 Mar 2010 16:56:46 +0000

djvulibre (3.5.22-8) unstable; urgency=low

  * upstream patch escapes fields in djvused output-* (closes: #564684)
  * ditch libjpeg62-dev dependencies in favour of libjpeg-dev (closes: #569233)
  * rev deb policy

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 10 Feb 2010 23:47:32 +0000

djvulibre (3.5.22-7) unstable; urgency=low

  * patch typos (closes: #551398)
  * man page install (closes: #561350), note dh_installman would botch i18n

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 16 Dec 2009 14:02:49 -0500

djvulibre (3.5.22-6) unstable; urgency=low

  * patch for typos, thanks Jakub Wilk <ubanus@users.sf.net> (closes: #551109)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 17 Oct 2009 18:16:19 +0100

djvulibre (3.5.22-5) unstable; urgency=low

  * dh ${misc:Depends} for straggler binary packages
  * sh4 patch from Nobuhiro Iwamatsu <iwamatsu@nigauri.org> (closes: #550172)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 08 Oct 2009 13:56:34 +0100

djvulibre (3.5.22-4) unstable; urgency=low

  * Clean lintian issues:
    - rev deb std
    - cease ignoring errors in installation scripts
    - debug package into section: debug
    - dh ${misc:Depends} for all packages


