=== debian/control ===
Source: djvulibre
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: autotools-dev (>= 20100122.1~),
	       debhelper (>= 8),
	       libx11-dev,
	       libxext-dev,
	       libxt-dev,
	       libglib2.0-dev,
	       libjpeg-dev,
	       libtiff4-dev | libtiff3g-dev | libtiff-dev,
	       librsvg2-bin | imagemagick
Vcs-Git: git://git.debian.org/git/collab-maint/djvulibre.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/djvulibre.git
Homepage: http://djvu.sourceforge.net/
Standards-Version: 3.9.1

Package: libdjvulibre-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	 libdjvulibre21 (= ${binary:Version}), libjpeg-dev
Description: Development files for the DjVu image format
 DjVu image format static library and development files.
 .
 DjVu is a set of compression technologies, a file format, and a
 software platform for the delivery over the Web of digital documents,
 scanned documents, and high resolution images.
 .
 DjVu documents download and display extremely quickly, and look
 exactly the same on all platforms.  DjVu can be seen as a superior
 alternative to PDF and Postscript for digital documents, to TIFF (and
 PDF) for scanned documents, to JPEG for photographs and pictures, and
 to GIF for large palettized images.  DjVu is the only Web format that
 is practical for distributing high-resolution scanned documents in
 color.

Package: libdjvulibre21
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdjvulibre-text (>= ${binary:Version})
Conflicts: libdjvulibre1
Replaces: libdjvulibre1, libdjvulibre15
Description: Runtime support for the DjVu image format
 DjVu runtime library.

Package: libdjvulibre-text
Section: libs
Architecture: any
Depends: ${misc:Depends}
Replaces: libdjvulibre15, djview3 (= 3.5.20-9), djvulibre-desktop (<< 3.5.20-9)
Description: Linguistic support files for libdjvulibre
 Runtime linguistic support files for the libdjvulibre library.

Package: djvulibre-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdjvulibre21 (= ${binary:Version})
Description: Debug symbols for the DjVu image format
 DjVu runtime debug symbols.

Package: djvulibre-desktop
Section: libs
Architecture: any
Depends: ${misc:Depends}
Suggests: djview4 | djvu-viewer | evince
Conflicts: libdjvulibre1, libdjvulibre21 (<= 3.5.20-5)
Replaces: libdjvulibre15 (<= 3.5.20-5)
Description: Desktop support for the DjVu image format
 Miscellaneous files to support the DjVu image format on the desktop.

Package: djview
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, djview4 | djview3
Description: Transition package, djview3 to djview4
 Ease transition from djview3 to djview4 with this dummy package.

Package: djview3
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, djview4
Description: Transition package, djview3 to djview4
 Ease transition from djview3 to djview4 with this dummy package.

Package: djvuserve
Section: web
Recommends: apache | httpd-cgi | httpd
Conflicts: djvulibre-bin (<< 3.5.9-3)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CGI program for unbundling DjVu files on the fly
 CGI program to convert a bundled multi-page DjVu document into an
 indirect DjVu document on the fly.  This provides for efficiently
 browsing large DjVu documents without transferring unnecessary pages.

Package: djvulibre-bin
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, curl, libdjvulibre21 (= ${binary:Version})
Recommends: pdf2djvu
Suggests: djvulibre-desktop, djview4 | djvu-viewer | evince
Description: Utilities for the DjVu image format
 Executables including utilities for conversion between DjVu and other
 formats.
