=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: djvulibre
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: autotools-dev (>= 20100122.1~),
-	       debhelper (>= 8),
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Uploaders: Leon Bottou <leonb@bottou.org>
+Build-Depends: dh-autoreconf,
+	       debhelper (>= 9),
 	       libx11-dev,
 	       libxext-dev,
 	       libxt-dev,
@@ -15,7 +15,7 @@
 Vcs-Git: git://git.debian.org/git/collab-maint/djvulibre.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/djvulibre.git
 Homepage: http://djvu.sourceforge.net/
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 
 Package: libdjvulibre-dev
 Section: libdevel
@@ -38,8 +38,8 @@
  color.
 
 Package: libdjvulibre21
-Section: libs
 Architecture: any
+Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}, ${misc:Depends}, libdjvulibre-text (>= ${binary:Version})
 Conflicts: libdjvulibre1
 Replaces: libdjvulibre1, libdjvulibre15
@@ -47,7 +47,6 @@
  DjVu runtime library.
 
 Package: libdjvulibre-text
-Section: libs
 Architecture: any
 Depends: ${misc:Depends}
 Replaces: libdjvulibre15, djview3 (= 3.5.20-9), djvulibre-desktop (<< 3.5.20-9)
@@ -63,7 +62,6 @@
  DjVu runtime debug symbols.
 
 Package: djvulibre-desktop
-Section: libs
 Architecture: any
 Depends: ${misc:Depends}
 Suggests: djview4 | djvu-viewer | evince
