## djvulibre 3.5.25.2

=== debian/changelog ===
djvulibre (3.5.25.2-1) unstable; urgency=low

  [ Leon Bottou ]
  * new upstream version

  [ Barak A. Pearlmutter ]
  * upstream fix for diezechar issue (closes: #664280)
  * upstream fix for minilisp I/O problem (closes: #664442)
  * include upstream patch completing man page djvused(1) (closes: #551517)
  * allow dh_install to work on non-multiarch build

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 18 Mar 2012 23:09:59 +0000
