=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 dh_targets=binary binary-arch binary-indep build build-arch build-indep clean install
 
 $(dh_targets) %:
-	dh $@ --with autotools_dev --parallel
+	dh $@ --with autoreconf --parallel
 
 .PHONY: $(dh_targets)
 
@@ -79,6 +79,9 @@
 # 	@echo "remove from djvulibre-bin, not in Debian: needs gsdjvu, direct complaints to AT&T"
 # 	find debian/djvulibre-bin -name djvudigital\* -print -delete
 
+override_dh_installchangelogs:
+	dh_installchangelogs --keep NEWS
+
 override_dh_compress:
 	dh_compress --exclude=.djvu
