## djvulibre 3.5.25.3

=== debian/changelog ===
djvulibre (3.5.25.3-1ubuntu1) quantal; urgency=low

  * debian/control:
    - Prefer libtiff5-dev to libtiff4-dev

 -- Michael Terry <mterry@ubuntu.com>  Tue, 17 Jul 2012 13:51:45 -0400

djvulibre (3.5.25.3-1) unstable; urgency=low

  * new upstream release
  * remove X11-related build dependencies
  * keep debugging symbols

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 17 Jun 2012 20:37:22 +0100

djvulibre (3.5.25.2-4) unstable; urgency=low

  * generalize pre-dependency
  * remove unused override from debian/rules (closes: #664292)
  * lower djvudigital default resolution from 600 to 300 dpi (closes: #507539)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 08 Apr 2012 23:45:27 +0100

djvulibre (3.5.25.2-3) unstable; urgency=low

  * rsvg-convert not completely plug-compatible replacement (closes: #666475)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 07 Apr 2012 09:10:35 +0100

djvulibre (3.5.25.2-2) unstable; urgency=low

  * switch deprecated rsvg to plug-compatible rsvg-convert (closes: #666475)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 31 Mar 2012 21:51:15 +0100
