=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: djvulibre
 Section: libs
 Priority: optional
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Leon Bottou <leonb@bottou.org>
 Build-Depends: dh-autoreconf,
 	       debhelper (>= 9),
-	       libx11-dev,
-	       libxext-dev,
-	       libxt-dev,
 	       libglib2.0-dev,
 	       libjpeg-dev,
-	       libtiff4-dev | libtiff3g-dev | libtiff-dev,
+	       libtiff5-dev | libtiff4-dev | libtiff3g-dev | libtiff-dev,
 	       librsvg2-bin | imagemagick
 Vcs-Git: git://git.debian.org/git/collab-maint/djvulibre.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/djvulibre.git
@@ -39,7 +37,7 @@
 
 Package: libdjvulibre21
 Architecture: any
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libdjvulibre-text (>= ${binary:Version})
 Conflicts: libdjvulibre1
 Replaces: libdjvulibre1, libdjvulibre15
@@ -47,7 +45,7 @@
  DjVu runtime library.
 
 Package: libdjvulibre-text
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends}
 Replaces: libdjvulibre15, djview3 (= 3.5.20-9), djvulibre-desktop (<< 3.5.20-9)
 Description: Linguistic support files for libdjvulibre
@@ -62,7 +60,7 @@
  DjVu runtime debug symbols.
 
 Package: djvulibre-desktop
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends}
 Suggests: djview4 | djvu-viewer | evince
 Conflicts: libdjvulibre1, libdjvulibre21 (<= 3.5.20-5)
