## djvulibre 3.5.25.4

=== debian/changelog ===
djvulibre (3.5.25.4-3) unstable; urgency=low

  * remove build alts libtiff{5,4,3}-dev (closes: #735997)
  * bump standards version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 21 Jan 2014 15:27:16 +0000

djvulibre (3.5.25.4-2) unstable; urgency=low

  * merge upstream patches, including autotools refresh(closes: #722525)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 12 Sep 2013 09:40:49 +0100

djvulibre (3.5.25.4-1) unstable; urgency=low

  * new upstream release
  * merge upstream changes for crash report, see
    http://lists.debian.org/debian-devel/2013/06/msg00720.html
    http://www.forallsecure.com/bug-reports/df37d30856756929f929ec8e508af1a574109c0d/
  * flush dh-exec overkill
  * enable full multiarch support
  * bump standard version
  * canonicalize development repo urls

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 27 Jun 2013 16:23:00 +0100

djvulibre (3.5.25.3-3) unstable; urgency=low

  * multiarch fix via dh-exec lossage
  * merge upstream fixes

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 12 Nov 2012 11:06:39 +0000

djvulibre (3.5.25.3-2) unstable; urgency=low

  * remove more X11-related build dependencies
  * prefer libtiff5-dev (closes: #681914)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 17 Jul 2012 23:23:27 +0200
