=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: djvulibre
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Leon Bottou <leonb@bottou.org>
 Build-Depends: dh-autoreconf,
 	       debhelper (>= 9),
-	       libglib2.0-dev,
 	       libjpeg-dev,
-	       libtiff5-dev | libtiff4-dev | libtiff3g-dev | libtiff-dev,
+	       libtiff-dev,
 	       librsvg2-bin | imagemagick
-Vcs-Git: git://git.debian.org/git/collab-maint/djvulibre.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/djvulibre.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/djvulibre.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/djvulibre.git
 Homepage: http://djvu.sourceforge.net/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 
 Package: libdjvulibre-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	 libdjvulibre21 (= ${binary:Version}), libjpeg-dev
 Description: Development files for the DjVu image format
@@ -37,8 +36,9 @@
 
 Package: libdjvulibre21
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdjvulibre-text (>= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdjvulibre-text (>= ${source:Version})
 Conflicts: libdjvulibre1
 Replaces: libdjvulibre1, libdjvulibre15
 Description: Runtime support for the DjVu image format
@@ -46,6 +46,7 @@
 
 Package: libdjvulibre-text
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Replaces: libdjvulibre15, djview3 (= 3.5.20-9), djvulibre-desktop (<< 3.5.20-9)
 Description: Linguistic support files for libdjvulibre
@@ -55,6 +56,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libdjvulibre21 (= ${binary:Version})
 Description: Debug symbols for the DjVu image format
  DjVu runtime debug symbols.
