=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 
+%:
+	dh $@ --with autoreconf --parallel
+
 # extract library major version from source build system
-libver0 := $(shell egrep '^LIBDJVU_VER_COMPAT=[0-9]+$$' configure \
+libver0 := $(shell egrep '^LIBDJVU_VER_COMPAT=[0-9]+$$' configure.ac \
 		   | head -1 \
 		   | sed 's/LIBDJVU_VER_COMPAT=//')
 
@@ -14,15 +17,10 @@
 	error inconsistent debian/control library major version
 endif
 
+export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 testlibver:
 	@echo library major version: upstream $(libver0), debian $(libver) $(libver1) $(libver2)
-
-dh_targets=binary binary-arch binary-indep build build-arch build-indep clean install
-
-$(dh_targets) %:
-	dh $@ --with autoreconf --parallel
-
-.PHONY: $(dh_targets)
 
 configure_options += --disable-desktopfiles
 configure_options += --enable-static
@@ -34,20 +32,11 @@
 configure_options += --enable-debug
 endif
 
+# Always keep dubugging symbols
+configure_options += CXXFLAGS=-g
+
 override_dh_auto_configure:
 	dh_auto_configure -- $(configure_options)
-
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-
-override_dh_auto_make:
-	$(MAKE) -k depend	# otherwise a missing Makefile.dep blows up
-# deliciously monstrous libtool workaround by Cthulhu via H.P.Lovecraft@ubuntu.com,
-# http://patches.ubuntu.com/d/djvulibre/djvulibre_3.5.22-1ubuntu1.patch
-ifeq ($(DEB_HOST_GNU_TYPE),arm-linux-gnueabi)
-	sed -i.orig '/^LIBS/s/-lm/-lm -lsupc++ -lgcc/' libdjvu/Makefile
-	touch -r libdjvu/Makefile.orig libdjvu/Makefile
-endif
-	dh_auto_make
 
 override_dh_auto_install:
 	dh_auto_install
