## djvulibre 3.5.27.1

=== debian/changelog ===
djvulibre (3.5.27.1-8ubuntu0.4) bionic-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write
    - debian/patches/CVE-2021-3630.patch: checks correct buffer size
      to use in libdjvu/GString.cpp.
    - CVE-2021-3630

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 01 Jul 2021 10:14:09 -0300

djvulibre (3.5.27.1-8ubuntu0.3) bionic-security; urgency=medium

  * SECURITY UPDATE: Stack overflow
    - debian/patches/CVE-2021-3500.patch: prevent recursion in
      libdjvu/DjVuPort.cpp, libdjvu/DjVuPort.h.
    - CVE-2021-3500
  * SECURITY UPDATE: Out of bounds write
    - debian/patches/CVE-2021-32490.patch: add checks to
      libdjvu/IW44Image.cpp.
    - CVE-2021-32490
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2021-32491.patch: check for overflow in
      tools/ddjvu.cpp.
    - CVE-2021-32491
  * SECURITY UPDATE: Out of bounds read
    - debian/patches/CVE-2021-32492.patch: check pool in
      libdjvu/DataPool.cpp.
    - CVE-2021-32492
  * SECURITY UPDATE: Heap buffer overflow
    - debian/patches/CVE-2021-32493.patch: check row size in
      libdjvu/GBitmap.cpp.
    - CVE-2021-32493
  * debian/patches: rename debian-changes to changes.patch to simplify
    maintenance.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 17 May 2021 09:19:55 -0400

djvulibre (3.5.27.1-8ubuntu0.2) bionic; urgency=medium

  * debian/patches/git_cpu_fix.patch:
    - don't segfault when trying to open document on an atom based config
      (lp: #1846785)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 20 May 2020 23:32:10 +0200

djvulibre (3.5.27.1-8ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: heap-based buffer overread
    - debian/patches/CVE-2019-15142-pre1.patch: fix lengths in
      libdjvu/DjVmDir.cpp, libdjvu/miniexp.cpp, tools/csepdjvu.cpp.
    - debian/patches/CVE-2019-15142.patch: add checks to
      libdjvu/DjVmDir.cpp.
    - CVE-2019-15142
  * SECURITY UPDATE: infinite loop in bitmap reader
    - debian/patches/CVE-2019-15143.patch: check return code in
      libdjvu/GBitmap.cpp, libdjvu/DjVmDir.cpp.
    - CVE-2019-15143
  * SECURITY UPDATE: uncontrolled recursion in sorting
    - debian/patches/CVE-2019-15144.patch: fix logic in
      libdjvu/GContainer.h.
    - CVE-2019-15144
  * SECURITY UPDATE: out of bounds read
    - debian/patches/CVE-2019-15145.patch: check bytes in
      libdjvu/GBitmap.h.
    - CVE-2019-15145
  * SECURITY UPDATE: NULL pointer dereference in DJVU::filter_fv
    - debian/patches/CVE-2019-18804.patch: add extra checks to
      libdjvu/IW44EncodeCodec.cpp, tools/ddjvu.cpp.
    - CVE-2019-18804

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 20 Nov 2019 10:26:08 -0500

djvulibre (3.5.27.1-8) unstable; urgency=medium

  * track upstream updates
  * bump policy, no changes required
  * use dh10 defaults in debian/rules
  * remove now-autogenerated debian/control -dbg stanza
  * secure repo url

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 09 Oct 2017 13:59:39 +0100

djvulibre (3.5.27.1-7) unstable; urgency=medium

  * bump to debhelper 10
  * update any2djvu server URL in any2djvu script (closes: #843009)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 03 Nov 2016 11:03:32 +0000

djvulibre (3.5.27.1-6) unstable; urgency=medium

  * track upstream fixes and updates, including to djvudigital
  * bump standards version
  * enable hardening

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 17 Aug 2016 22:35:47 +0200

djvulibre (3.5.27.1-5) unstable; urgency=medium

  * guard find command in debian/rules (closes: 806017)
  * merge upstream update which works around qt5 issue (closes: 804888)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 24 Nov 2015 15:58:16 +0000

djvulibre (3.5.27.1-4) unstable; urgency=medium

  * merge minor upstream maintenance updates

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Oct 2015 14:16:13 +0000

djvulibre (3.5.27.1-3) unstable; urgency=medium

  * use mktemp in shell script if available (closes: #775193)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 16 Aug 2015 14:03:10 +0200

djvulibre (3.5.27.1-2) unstable; urgency=medium

  * merge upstream fix for string issue (closes: #784785)
  * merge upstream signed/unsigned fix (closes: #784919)
  * use gzip -n option for reproducible build (closes: #790371)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 30 Jun 2015 09:18:13 +0300

djvulibre (3.5.27.1-1) unstable; urgency=medium

  * freeze is over, can target to unstable once more
  * new upstream release
    - has max image size check (closes: #781255)
  * merge minor upstream patch to djvumake
  * use mktemp in djvudigital (closes: #775193)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 05 May 2015 09:24:00 +0100

djvulibre (3.5.27-0pre1) experimental; urgency=medium

  [ Leon Bottou ]
  * Prepare rev 3.5.27

  [ Barak A. Pearlmutter ]
  * upstream fixes for
    - GC multithreading deadlock (closes: #775857)
    - invalid input JPEG (closes: #777404)
  * ack migration of packaging functionality to upstream build system
  * prep for experimental release

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 12 Feb 2015 22:19:07 +0000

djvulibre (3.5.26-1) experimental; urgency=medium

  * upstream reworked build system, uses automake and pkg-config
  * move debian vs upstream library version check into dh_testdir
  * add --list-missing option to dh_install
  * update upstream git URL
  * new upstream release
  * merge upstream patches
    - afdbb99 acquire global lock while destroying gctls_t

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 06 Jan 2015 05:57:36 -0500

djvulibre (3.5.25.4-4) unstable; urgency=medium

  * merge upstream patches
   - f794f2d meta-data --> metadata.
   - 6262fcc Update config/libtool.m4 to support ppc64le.
   - 9e32594 Regenerate autotools files with new config/libtool.m4
   - 4e62915 Fix to djvutoxml by "Imperatore" (bug 227)
   - 93a13dd csepdjvu handles utf16 outlines


