=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: djvulibre
 Section: libs
 Priority: optional
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Leon Bottou <leonb@bottou.org>
-Build-Depends: dh-autoreconf,
-	       debhelper (>= 9),
+Build-Depends: pkg-config,
+	       debhelper (>= 10),
 	       libjpeg-dev,
 	       libtiff-dev,
 	       librsvg2-bin | imagemagick
-Vcs-Git: git://anonscm.debian.org/collab-maint/djvulibre.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/djvulibre.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/djvulibre.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/djvulibre.git
 Homepage: http://djvu.sourceforge.net/
-Standards-Version: 3.9.5
+Standards-Version: 4.1.1
 
 Package: libdjvulibre-dev
 Section: libdevel
@@ -52,15 +53,6 @@
 Description: Linguistic support files for libdjvulibre
  Runtime linguistic support files for the libdjvulibre library.
 
-Package: djvulibre-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdjvulibre21 (= ${binary:Version})
-Description: Debug symbols for the DjVu image format
- DjVu runtime debug symbols.
-
 Package: djvulibre-desktop
 Architecture: all
 Depends: ${misc:Depends}
@@ -72,14 +64,14 @@
 
 Package: djview
 Section: graphics
-Architecture: any
+Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, djview4 | djview3
 Description: Transition package, djview3 to djview4
- Ease transition from djview3 to djview4 with this dummy package.
+ Ease transition from djview or djview3 to djview4 with this dummy package.
 
 Package: djview3
 Section: graphics
-Architecture: any
+Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, djview4
 Description: Transition package, djview3 to djview4
  Ease transition from djview3 to djview4 with this dummy package.
