## djvulibre 3.5.27.1.4

=== debian/changelog ===
djvulibre (3.5.27.1.4-1+dde) unstable; urgency=medium

  * fix CVE-2021-3500

 -- Meng Tang <tangmeng@uniontech.com>  Fri, 12 Aug 2022 10:57:15 +0800

djvulibre (3.5.27.1.3-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * Update version number

 -- chendu <chendu@uniontech.com>  Thur, 25 Nov 2021 14:46:42 +0800

djvulibre (3.5.27.1.2-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * fix a stack-overflow in "libdjvu/DjVuFile.cpp"

 -- zhouzilong <zhouzilong@uniontech.com>  Fri, 19 Mar 2021 09:38:42 +0800

djvulibre (3.5.27.1.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * 

 -- liuxin <liuxin@uniontech.com>  Sun, 05 Jul 2020 18:12:39 +0800

djvulibre (3.5.27.1-10) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Barak A. Pearlmutter ]
  * track upstream updates
  * bump policy, no changes required

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 02 Nov 2018 14:51:55 +0000

djvulibre (3.5.27.1-9) unstable; urgency=medium

  * bump to debhelper 11
  * bump policy, no changes required
  * stop including mimetype xml file in desktop package, and rename icons.
    For details see https://sourceforge.net/p/djvu/bugs/283/
  * adjust to upstream renaming of documentation

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 30 Apr 2018 17:13:35 +0100
