## djvulibre 3.5.28

=== debian/changelog ===
djvulibre (3.5.28-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2021-46310: Divide by zero in IW44Image::Map::image()
    (Closes: #1052668)
  * CVE-2021-46312: Divide by zero in IWBitmap::Encode::init()
    (Closes: #1052669)

 -- Adrian Bunk <bunk@debian.org>  Fri, 18 Jul 2025 20:57:51 +0300

djvulibre (3.5.28-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix potential buffer overflow in MMRDecoder (CVE-2025-53367)
    (Closes: #1108729)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 04 Jul 2025 07:38:58 +0200

djvulibre (3.5.28-2) unstable; urgency=high

  * bump policy version
  * Include Fedora 3.5.27 patches, foward ported, taken from djvulibre.spec in
    https://src.fedoraproject.org/rpms/djvulibre.git
    - Patch0: djvulibre-3.5.22-cdefs.patch                    (forward ported)
    - #Patch1: djvulibre-3.5.25.3-cflags.patch              (disabled in Fedora)
    - Patch2: djvulibre-3.5.27-buffer-overflow.patch        (UPSTREAMED)
    - Patch3: djvulibre-3.5.27-infinite-loop.patch          (UPSTREAMED)
    - Patch4: djvulibre-3.5.27-stack-overflow.patch         (UPSTREAMED)
    - Patch5: djvulibre-3.5.27-zero-bytes-check.patch       (UPSTREAMED)
    - Patch6: djvulibre-3.5.27-export-file.patch              (forward ported)
    - Patch7: djvulibre-3.5.27-null-dereference.patch       (UPSTREAMED)
    - Patch8: djvulibre-3.5.27-check-image-size.patch         (forward ported)
    - Patch9: djvulibre-3.5.27-integer-overflow.patch         (forward ported)
    - Patch10: djvulibre-3.5.27-check-input-pool.patch        (forward ported)
    - Patch11: djvulibre-3.5.27-djvuport-stack-overflow.patch (forward ported)
    - Patch12: djvulibre-3.5.27-unsigned-short-overflow.patch (forward ported)
    These address a number of crashes and security issues, including
    CVE-2021-3500 (closes: #988215)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 10 May 2021 18:56:59 +0100

djvulibre (3.5.28-1) unstable; urgency=medium

  [ Leon Bottou ]
  * version number change

  [ Barak A. Pearlmutter ]
  * rules does not require root
  * version-4 debian/watch uscan support file

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 23 Nov 2020 13:10:15 +0000

djvulibre (3.5.27.1-15) unstable; urgency=medium

  * bump to debhelper 13
  * bump policy version
  * track upstream including libtiff bug fix (closes: #962779)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 22 Jul 2020 15:18:20 +0100

djvulibre (3.5.27.1-14) unstable; urgency=medium

  * Merge upstream fix for CVE-2019-18804 (closes: #945114)
  * bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 21 Nov 2019 15:30:21 +0000

djvulibre (3.5.27.1-13) unstable; urgency=medium

  * track upstream bug fixes
  * Run lintian-brush:
    - Add missing colon in closes line.
    - Set upstream metadata fields: Archive.

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 11 Sep 2019 14:12:18 +0100

djvulibre (3.5.27.1-12) unstable; urgency=medium

  * track upstream bug fixes and such
  * bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 10 Aug 2019 13:48:53 +0200

djvulibre (3.5.27.1-11) unstable; urgency=medium

  * track upstream bug fixes
  * bump policy and debhelper versions
  * declare djvulibre-bin multi-arch_foreign (closes: #930064)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 06 Jun 2019 13:54:10 +0100
