=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: djvulibre
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Leon Bottou <leonb@bottou.org>
 Build-Depends: pkg-config,
-	       debhelper (>= 10),
+	       debhelper-compat (= 13),
 	       libjpeg-dev,
 	       libtiff-dev,
 	       librsvg2-bin | imagemagick
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/djvulibre.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/djvulibre.git
+Vcs-Git: https://salsa.debian.org/debian/djvulibre.git
+Vcs-Browser: https://salsa.debian.org/debian/djvulibre
 Homepage: http://djvu.sourceforge.net/
-Standards-Version: 4.1.1
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 
 Package: libdjvulibre-dev
 Section: libdevel
@@ -78,7 +78,7 @@
 
 Package: djvuserve
 Section: web
-Recommends: apache | httpd-cgi | httpd
+Recommends: apache2 | apache | httpd-cgi | httpd
 Conflicts: djvulibre-bin (<< 3.5.9-3)
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -90,6 +90,7 @@
 Package: djvulibre-bin
 Section: graphics
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, curl, libdjvulibre21 (= ${binary:Version})
 Recommends: pdf2djvu
 Suggests: djvulibre-desktop, djview4 | djvu-viewer | evince
