=== debian/rules ===
--- 
+++ 
@@ -39,15 +39,13 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(configure_options)
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	mkdir --parents debian/tmp/usr/lib/cgi-bin
 	cp --preserve=mode,timestamps debian/djvuserve.sh \
 		debian/tmp/usr/lib/cgi-bin/djvuserve
 
-override_dh_install:
-	dh_install --list-missing
-	@echo remove from djvulibre-bin, already in djvuserve
+execute_after_dh_install:
+	@echo "remove from djvulibre-bin, already in djvuserve"
 	if test -d debian/djvulibre-bin; then find debian/djvulibre-bin -name djvuserve\* -print -delete; fi
 # 	@echo "remove from djvulibre-bin, not in Debian: needs gsdjvu, direct complaints to AT&T"
 # 	find debian/djvulibre-bin -name djvudigital\* -print -delete
@@ -60,3 +58,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs --version-info --exclude=/plugins
+
+override_dh_missing:
+	dh_missing --list-missing
