## djvulibre 3.5.29

=== debian/changelog ===
djvulibre (3.5.29-1) unstable; urgency=medium

  * Most patches merged upstream
  * Multiarch hinter suggests marking djvulibre-desktop as Multi-Arch: foreign
  * Bump policy version
  * New upstream version
    - includes 0008-Fix-potential-buffer-overflow-in-MMRDecoder.patch
  * Track upstream bug fixes
  * Remove unnecssary rules-requires-root:no line

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Sep 2025 15:42:58 +0100
