=== debian/control ===
--- 
+++ 
@@ -10,9 +10,8 @@
 	       librsvg2-bin | imagemagick
 Vcs-Git: https://salsa.debian.org/debian/djvulibre.git
 Vcs-Browser: https://salsa.debian.org/debian/djvulibre
-Homepage: http://djvu.sourceforge.net/
-Standards-Version: 4.5.1
-Rules-Requires-Root: no
+Homepage: https://djvu.sourceforge.net/
+Standards-Version: 4.7.2
 
 Package: libdjvulibre-dev
 Section: libdevel
@@ -49,15 +48,16 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Replaces: libdjvulibre15, djview3 (= 3.5.20-9), djvulibre-desktop (<< 3.5.20-9)
+Replaces: libdjvulibre15
 Description: Linguistic support files for libdjvulibre
  Runtime linguistic support files for the libdjvulibre library.
 
 Package: djvulibre-desktop
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: djview4 | djvu-viewer | evince
-Conflicts: libdjvulibre1, libdjvulibre21 (<= 3.5.20-5)
+Conflicts: libdjvulibre1
 Replaces: libdjvulibre15 (<= 3.5.20-5)
 Description: Desktop support for the DjVu image format
  Miscellaneous files to support the DjVu image format on the desktop.
@@ -78,8 +78,7 @@
 
 Package: djvuserve
 Section: web
-Recommends: apache2 | apache | httpd-cgi | httpd
-Conflicts: djvulibre-bin (<< 3.5.9-3)
+Recommends: apache2 | httpd-cgi | httpd
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: CGI program for unbundling DjVu files on the fly
